Ticket #661 (closed enhancement: wontfix)

Opened 12 years ago

Last modified 11 years ago

sfj2410 uses arch dependend header sys/io.h

Reported by: thebohemian@… Owned by: buglog@…
Priority: lowest Milestone:
Component: Host Software Version: current svn head
Severity: minor Keywords:
Cc: buglog@… Blocked By:
Blocking: Estimated Completion (week):
HasPatchForReview: PatchReviewResult:
Reproducible:

Description

Since sfj2410 uses sys/io.h it is only compileable on i386 based hardware. It
would be nice if this could be made more architecture agnostic or simply not
built on non-x86 hosts (if the app is useless on those arches).

Change History

comment:1 Changed 12 years ago by thebohemian@…

Removing "sjf2410-linux-native" from EXTRA_IMAGEDEPENDS in fic-gta01.conf
allowed me to continue the build.

comment:2 Changed 12 years ago by stefan@…

This is not really used any longer it seems. We used it in the beginning of the
development.

I ask mickey if we just drop it from the default build or make it more endian
friendly.

comment:3 Changed 12 years ago by stefan@…

I dropped it from the dependency in the OE revision
ffb87c675fc71a778b13c725bd34f31c14cf334f

I still leave this bug open as this still needs to get fixed in the code.

comment:4 Changed 11 years ago by john_lee@…

  • Status changed from new to closed
  • Resolution set to wontfix

sjf2410 is no longer used now.

Note: See TracTickets for help on using tickets.